%global ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname rvm
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Ruby Version Manager (rvm)
Name: rubygem-%{gemname}
Version: 1.0.19
Release: 2%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/wayneeseguin/rvm
Source0: http://gemcutter.org/gems/%{gemname}-%{version}.gem
Requires: rubygems
Requires: ruby(abi) = 1.8
Requires: rubygem(rake)
Requires: curl
Requires: git
BuildRequires: rubygems
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Manages Ruby interpreter environments and switching between them.

%package        doc
Summary:        Documentation for %{name}
Group:          Documentation

Requires:       %{name} = %{version}-%{release}
Requires:       ruby(rubygems)

%description    doc 
This package contains documentation for %{name}.

%prep
%setup -q -c -T 
mkdir -p ./%{gemdir}
gem install \
	--local \
	--install-dir ./%{gemdir} \
	-V --force --rdoc \
	%{SOURCE0}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
cp -a ./%{gemdir}/* %{buildroot}%{gemdir}
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gemdir}/bin
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x
find %{buildroot}%{geminstdir}/scripts -type f | xargs chmod a+x
chmod -x %{buildroot}%{geminstdir}/scripts/irbrc
chmod -x %{buildroot}%{geminstdir}/scripts/aliases
chmod -x %{buildroot}%{geminstdir}/scripts/irbrc.rb
chmod a+x %{buildroot}%{geminstdir}/scripts/completion
chmod a+x %{buildroot}%{geminstdir}/binscripts/rvm
chmod a+x %{buildroot}%{geminstdir}/lib/rvm/shell/calculate_rvm_path.sh 
rm -f %buildroot%{geminstdir}/man/man1/rvm.1

# Remove zero-length files
for file in $(find %{buildroot}%{geminstdir}/help -size 0) ; do
   rm -f "$file"
done

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{_bindir}/rvm-install
%dir %{geminstdir}
%{geminstdir}/bin
%{geminstdir}/install
%{geminstdir}/binscripts
%{geminstdir}/config
%{geminstdir}/gemsets
%{geminstdir}/lib
%{geminstdir}/scripts
%{geminstdir}/help
%doc %{geminstdir}/LICENCE
%doc %{geminstdir}/README
%doc %{geminstdir}/man
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-, root, root, -)
%{geminstdir}/examples
%{geminstdir}/contrib
%{gemdir}/doc/%{gemname}-%{version}
%{geminstdir}/%{gemname}.gemspec

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 03 2010 Michal Fojtik <mfojtik@redhat.com> - 1.0.19-1
- Version bump

* Fri Oct 29 2010 Michal Fojtik <mfojtik@redhat.com> - 1.0.15-1
- Version bump
- Fixed rvm-install script

* Fri Oct 29 2010 Michal Fojtik <mfojtik@redhat.com> - 1.0.11-3
- LICENSE and README moved to main package

* Sat Oct 02 2010 Michal Fojtik <mfojtik@redhat.com> - 1.0.11-2
- Fixed requires, updated LICENCE

* Sat Oct 02 2010 Michal Fojtik <mfojtik@redhat.com> - 1.0.11-1
- Initial package
